> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyfast.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# happyhorse-1.1-i2v

> 提交 HappyHorse 1.1 首帧图生视频任务。输出视频会大致保留输入图片的宽高比。



## OpenAPI

````yaml zh/api-reference/model-api/alibaba/openapi/happyhorse-1.1-i2v/openapi.yaml POST /v1/video/generations
openapi: 3.1.0
info:
  title: HappyHorse 1.1 I2V
  description: 通过 AnyFast 异步视频接口，根据一张首帧图片生成带同步音频的视频。
  version: 1.0.0
servers:
  - url: https://www.anyfast.ai
security:
  - bearerAuth: []
paths:
  /v1/video/generations:
    post:
      summary: 创建图生视频任务
      description: 提交 HappyHorse 1.1 首帧图生视频任务。输出视频会大致保留输入图片的宽高比。
      operationId: createHappyhorse11I2vZh
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  type: string
                  enum:
                    - happyhorse-1.1-i2v
                  example: happyhorse-1.1-i2v
                input:
                  type: object
                  required:
                    - media
                  properties:
                    prompt:
                      type: string
                      description: 动作和镜头描述。最多 5000 个非中文字符或 2500 个中文字符。
                      example: 小猫从草地上快速跑过，镜头平稳跟随。
                    media:
                      type: array
                      minItems: 1
                      maxItems: 1
                      description: 必须且只能包含一张首帧图片，支持公网 URL 或 Base64 Data URL。
                      items:
                        type: object
                        required:
                          - type
                          - url
                        properties:
                          type:
                            type: string
                            enum:
                              - first_frame
                          url:
                            type: string
                            description: >-
                              支持 JPEG、JPG、PNG、WEBP；不超过 20 MB；宽高均不低于 300 像素；宽高比为
                              1:2.5 至 2.5:1。
                parameters:
                  type: object
                  properties:
                    resolution:
                      type: string
                      enum:
                        - 720P
                        - 1080P
                      default: 1080P
                    duration:
                      type: integer
                      minimum: 3
                      maximum: 15
                      default: 5
                    watermark:
                      type: boolean
                      default: true
                    seed:
                      type: integer
                      minimum: 0
                      maximum: 2147483647
              example:
                model: happyhorse-1.1-i2v
                input:
                  prompt: 小猫从草地上快速跑过，镜头平稳跟随。
                  media:
                    - type: first_frame
                      url: https://example.com/cat.png
                parameters:
                  resolution: 720P
                  duration: 5
                  watermark: false
      responses:
        '200':
          description: 任务创建成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskCreated'
        '400':
          description: 请求参数无效
        '401':
          description: 身份认证失败
        '429':
          description: 请求频率超限
components:
  schemas:
    TaskCreated:
      type: object
      properties:
        id:
          type: string
          example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
        task_id:
          type: string
          description: 用于查询任务状态的任务 ID。
          example: asyntask_jwgfhsG0m2aDjLmiiELRf74eoWmss6ya
        object:
          type: string
          example: video
        model:
          type: string
          example: happyhorse-1.1-i2v
        status:
          type: string
          example: queued
        progress:
          type: integer
          example: 0
        created_at:
          type: integer
          example: 1784520000
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````